Create a new crawl session
Creates a new session for crawl jobs with the same device assignment.
Header Parameters
API key in format: Bearer
Request Body
application/json
Session creation parameters
Duration of the session in seconds. Minimum 1, maximum 3600.
601 <= value <= 3600Optional placement constraints to pin this session to a specific device type. If omitted, any available device is used.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://edge.uprock.com/crawl/v1/session/new" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "duration_seconds": 60 }'{
"id": "21844308-7360-4fe3-b969-e5f40d6ff571",
"status": "active",
"created_at": "2026-02-17T15:17:27.150222657Z",
"expires_at": "2026-02-17T15:18:27.15022214Z",
"closed_at": null,
"device_id": null,
"placement": null,
"job_ids": []
}{
"error": "invalid request: url is required"
}{
"error": "unauthorized: invalid or missing API key"
}{
"error": "internal server error: please try again later"
}Get status of multiple crawl jobs POST
Retrieves the current status of multiple crawl jobs in a single request. Maximum 1000 job IDs per request. Jobs that don't exist or that the user is not authorized to view will return an error object with code "not_found". Invalid UUIDs will return an error with code "invalid_uuid".
Get session details GET
Retrieves details about an existing crawl session